// swift-tools-version:5.2
import PackageDescription

let package = Package(
    name: "SwiftMetaModelGenerator",
    platforms: [.macOS(.v10_15)],
    products: [
        .executable(name: "swiftmetamodelgenerator", targets: ["swiftmetamodelgenerator"])
    ],
    dependencies: [
        .package(name: "swift-argument-parser", url: "https://github.com/apple/swift-argument-parser.git", .upToNextMinor(from: "1.0.1")),
        .package(url: "https://github.com/kylef/PathKit.git", .upToNextMinor(from: "1.0.1")),
        .package(name: "SwiftSyntax", url: "https://github.com/apple/swift-syntax.git", .upToNextMinor(from: "0.50600.1")),
        .package(url: "https://github.com/kylef/Stencil.git", .upToNextMinor(from: "0.14.1")),
    ],
    targets: [
        .target(
            name: "swiftmetamodelgenerator",
            dependencies: [
                .product(name: "ArgumentParser", package: "swift-argument-parser"),
                "PathKit",
                .product(name: "SwiftSyntax", package: "SwiftSyntax"),
                .product(name: "SwiftSyntaxParser", package: "SwiftSyntax"),
                "Stencil"
            ],
            path: "SwiftMetaModelGenerator"
        )
    ]
)
